org.eclipse.remote.core

## Interface IRemoteProcessControlService

All Superinterfaces:
  IRemoteProcess.Service

    public interface IRemoteProcessControlService
    extends IRemoteProcess.Service

A service to control and report on the state of a process.

Since:
  2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteProcess.Service

`IRemoteProcess.Service.Factory`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `destroy()` Terminate the process
`int` `exitValue()` Returns the exit value for the process
`java.io.InputStream` `getErrorStream()` Gets the error output stream of the process
`java.io.InputStream` `getInputStream()` Gets an InputStream which can be used to read the standard output stream of the process
`java.io.OutputStream` `getOutputStream()` Gets an output stream which can be used to write to the standard input stream of the process
`boolean` `isCompleted()` Check if the remote process has completed
`int` `waitFor()` Wait until the process has terminated

### Methods inherited from interface org.eclipse.remote.core.IRemoteProcess.Service

`getRemoteProcess`

### Method Detail

#### destroy

    void destroy()

Terminate the process

#### exitValue

    int exitValue()

Returns the exit value for the process

Returns:
  the exit value

#### getErrorStream

    java.io.InputStream getErrorStream()

Gets the error output stream of the process

Returns:
  the output stream connected to the standard error of the process

#### getInputStream

    java.io.InputStream getInputStream()

Gets an InputStream which can be used to read the standard output stream of the process

Returns:
  the input stream connected to the standard output of the process

#### getOutputStream

    java.io.OutputStream getOutputStream()

Gets an output stream which can be used to write to the standard input stream of the process

Returns:
  the output stream connected to the standard input of the process

#### waitFor

    int waitFor()
         throws java.lang.InterruptedException

Wait until the process has terminated

Returns:
  the exit value of the process
Throws:
  `java.lang.InterruptedException` - if the current thread is interrupted by another thread while it is waiting

#### isCompleted

    boolean isCompleted()

Check if the remote process has completed

Returns:
  true if remote process has completed